Source code version changing

Status
Not open for further replies.

Sky Ninja

Member
I changed it once during beta testing of my wad, and now it won't let me change it anymore. Right now, it's stuck at a simple 1.09.5.
 

Cue

ALAM STOP BREAKING THE S
Use your own version system please, 1.09.5 to 1.1 is taken. You need to change VERSION, VERSIONSTRING and SUBVERSION (?) and then do a complete rebuild for it to take effect.

Just for the record, SSBSS has 1.3x.x, JTE has dibs on 1.6x.x and I have dibs on 2.xx.x, not sure about Shufflar and Riders, you'll have to check up. Best to keep these versions as different as possible to avoid confusion.

I'm aware there are other modifications as well, but I'm only listing the big time EXE mods that actually get used.
 

Flame

WR 102
Cue said:
Use your own version system please, 1.09.5 to 1.1 is taken. You need to change VERSION, VERSIONSTRING and SUBVERSION (?) and then do a complete rebuild for it to take effect.

Just for the record, SSBSS has 1.3x.x, JTE has dibs on 1.6x.x and I have dibs on 2.xx.x, not sure about Shufflar and Riders, you'll have to check up. Best to keep these versions as different as possible to avoid confusion.

Riders had 1.4x.x, and SBB2 (Super Bomberman Blast [which is merged into the SSBSS source]) had 1.5x.x. Shuffle had 2.0x.x IIRC.

Off the top of my head, the only ones I can think that are avalible are 0.0x.x and 1.2x.x
 

Cue

ALAM STOP BREAKING THE S
I said I was only listing big time mods, I refuse to call uncommenting code a mod.
 

Monster Iestyn

Fangtastic
Sonic Team Junior
Kart Krew™️
Cue said:
I said I was only listing big time mods, I refuse to call uncommenting code a mod.

Excuse me, but DashFox's mod is not just "uncommenting code", is it? Do levels count as "uncommenting code"? o_0

Just because you think that, doesn't mean you can't list it.
 

Cue

ALAM STOP BREAKING THE S
Monster Iestyn said:
Cue said:
I said I was only listing big time mods, I refuse to call uncommenting code a mod.

Excuse me, but DashFox's mod is not just "uncommenting code", is it? Do levels count as "uncommenting code"? o_0

Just because you think that, doesn't mean you can't list it.

I was talking about EXE mods, Mystic Realm doesn't require a version number, after all. :)

Meh, back on topic, uhhh...

Carp, there's nothing to post till Ninja replies telling us whether he was successful or not...
 

Cue

ALAM STOP BREAKING THE S
You don't seem to follow what I was saying...

You gave the argument that it has levels, but they do not require an EXE mod, do they?

So, uh, Ninja, did you get this working or wut?
 

Sky Ninja

Member
Cue said:
Use your own version system please, 1.09.5 to 1.1 is taken. You need to change VERSION, VERSIONSTRING and SUBVERSION (?) and then do a complete rebuild for it to take effect.
Yeah, I know all that. I compiled it as 1.09.5 during beta testing. The problem is that it won't let me compile it with a different version now. I tried to change it to 1.42, but when I compiled it it came as 1.09.5, so I tried to compile the file alone and it said it couldn't compile doomdef.o.
 

Cue

ALAM STOP BREAKING THE S
Dev-c++, yes? There's a "Rebuild All" option in one of the drop-down menus on the File-Edit-Blah toolbar, same one Compile is under.

Also, Riders has 1.4x.x
 
Status
Not open for further replies.

Who is viewing this thread (Total: 1, Members: 0, Guests: 1)

Top